﻿// <auto-generated />
using System;
using DataAccess.PostgreSql;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using Utils;

#nullable disable

namespace DataAccess.PostgreSql.Migrations
{
    [DbContext(typeof(AppDbContext))]
    [Migration("20220410134539_CarrierAdderssFields")]
    partial class CarrierAdderssFields
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("Entities.AdditionalPermission", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("CountryCoupleYearPermitCountId")
                        .HasColumnType("integer")
                        .HasColumnName("country_couple_year_permit_count_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<string>("Fields")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("fields");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_additional_permissions");

                    b.HasIndex("CountryCoupleYearPermitCountId")
                        .IsUnique()
                        .HasDatabaseName("ix_additional_permissions_country_couple_year_permit_count_id");

                    b.ToTable("additional_permissions", (string)null);
                });

            modelBuilder.Entity("Entities.Auth.Role", b =>
                {
                    b.Property<int>("Id")
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    b.Property<string>("Code")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("code");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("name");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_roles");

                    b.HasIndex("Code")
                        .IsUnique()
                        .HasDatabaseName("ix_roles_code");

                    b.ToTable("roles", (string)null);

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Code = "admin",
                            CreatedAt = new DateTime(2022, 4, 10, 13, 45, 39, 61, DateTimeKind.Utc).AddTicks(5881),
                            Name = "Administrator",
                            UpdatedAt = new DateTime(2022, 4, 10, 13, 45, 39, 61, DateTimeKind.Utc).AddTicks(5883)
                        },
                        new
                        {
                            Id = 2,
                            Code = "user",
                            CreatedAt = new DateTime(2022, 4, 10, 13, 45, 39, 61, DateTimeKind.Utc).AddTicks(5885),
                            Name = "User",
                            UpdatedAt = new DateTime(2022, 4, 10, 13, 45, 39, 61, DateTimeKind.Utc).AddTicks(5885)
                        });
                });

            modelBuilder.Entity("Entities.Auth.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));
                    NpgsqlPropertyBuilderExtensions.HasIdentityOptions(b.Property<int>("Id"), 2L, null, null, null, null, null);

                    b.Property<int?>("CarrierId")
                        .HasColumnType("integer")
                        .HasColumnName("carrier_id");

                    b.Property<string>("Contacts")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("contacts");

                    b.Property<int>("CountryId")
                        .HasColumnType("integer")
                        .HasColumnName("country_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("email");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("first_name");

                    b.Property<bool>("IsActive")
                        .HasColumnType("boolean")
                        .HasColumnName("is_active");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("last_name");

                    b.Property<string>("Organization")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("organization");

                    b.Property<string>("PasswordHash")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("password_hash");

                    b.Property<string>("Patronymic")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("patronymic");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.Property<string>("Username")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)")
                        .HasColumnName("username");

                    b.HasKey("Id")
                        .HasName("pk_users");

                    b.HasIndex("CountryId")
                        .HasDatabaseName("ix_users_country_id");

                    b.HasIndex("Username")
                        .IsUnique()
                        .HasDatabaseName("ix_users_username");

                    b.ToTable("users", (string)null);

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Contacts = "",
                            CountryId = 1,
                            CreatedAt = new DateTime(2022, 4, 10, 13, 45, 39, 63, DateTimeKind.Utc).AddTicks(3140),
                            Email = "e.arbabayev@kmg.kz",
                            FirstName = "Иван",
                            IsActive = true,
                            LastName = "Иванов",
                            Organization = "",
                            PasswordHash = "$2a$11$i0cRGfSNEq.ezit.c.hoE.FcYNhP15d6PNjVZfQ4OQKySTkr08Y5G",
                            Patronymic = "Иванович",
                            UpdatedAt = new DateTime(2022, 4, 10, 13, 45, 39, 63, DateTimeKind.Utc).AddTicks(3141),
                            Username = "admin"
                        });
                });

            modelBuilder.Entity("Entities.Auth.UserRole", b =>
                {
                    b.Property<int>("RoleId")
                        .HasColumnType("integer")
                        .HasColumnName("role_id");

                    b.Property<int>("UserId")
                        .HasColumnType("integer")
                        .HasColumnName("user_id");

                    b.HasKey("RoleId", "UserId")
                        .HasName("pk_user_roles");

                    b.HasIndex("UserId")
                        .HasDatabaseName("ix_user_roles_user_id");

                    b.ToTable("user_roles", (string)null);

                    b.HasData(
                        new
                        {
                            RoleId = 1,
                            UserId = 1
                        },
                        new
                        {
                            RoleId = 2,
                            UserId = 1
                        });
                });

            modelBuilder.Entity("Entities.Carrier", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Address")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("address");

                    b.Property<string>("City")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("city");

                    b.Property<string>("Contacts")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("contacts");

                    b.Property<int>("CountryId")
                        .HasColumnType("integer")
                        .HasColumnName("country_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("email");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("name");

                    b.Property<string>("Organization")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("organization");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_carriers");

                    b.HasIndex("CountryId")
                        .HasDatabaseName("ix_carriers_country_id");

                    b.ToTable("carriers", (string)null);
                });

            modelBuilder.Entity("Entities.CarrierPermitCount", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("CarrierId")
                        .HasColumnType("integer")
                        .HasColumnName("carrier_id");

                    b.Property<int>("CountryCouplePermitCountId")
                        .HasColumnType("integer")
                        .HasColumnName("country_couple_permit_count_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<int>("PermitCount")
                        .HasColumnType("integer")
                        .HasColumnName("permit_count");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_carrier_permit_counts");

                    b.HasIndex("CarrierId")
                        .HasDatabaseName("ix_carrier_permit_counts_carrier_id");

                    b.HasIndex("CountryCouplePermitCountId")
                        .HasDatabaseName("ix_carrier_permit_counts_country_couple_permit_count_id");

                    b.ToTable("carrier_permit_counts", (string)null);
                });

            modelBuilder.Entity("Entities.CountryCouplePermitCount", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("CountryCoupleYearPermitCountId")
                        .HasColumnType("integer")
                        .HasColumnName("country_couple_year_permit_count_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<int>("PermitCount")
                        .HasColumnType("integer")
                        .HasColumnName("permit_count");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_country_couple_permit_counts");

                    b.HasIndex("CountryCoupleYearPermitCountId")
                        .HasDatabaseName("ix_country_couple_permit_counts_country_couple_year_permit_cou");

                    b.ToTable("country_couple_permit_counts", (string)null);
                });

            modelBuilder.Entity("Entities.CountryCoupleYearPermitCount", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("CountPermit")
                        .HasColumnType("integer")
                        .HasColumnName("count_permit");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<int>("FirstCountryId")
                        .HasColumnType("integer")
                        .HasColumnName("first_country_id");

                    b.Property<int>("SecondCountryId")
                        .HasColumnType("integer")
                        .HasColumnName("second_country_id");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.Property<short>("Year")
                        .HasColumnType("smallint")
                        .HasColumnName("year");

                    b.HasKey("Id")
                        .HasName("pk_country_couple_year_permit_counts");

                    b.HasIndex("FirstCountryId")
                        .HasDatabaseName("ix_country_couple_year_permit_counts_first_country_id");

                    b.HasIndex("SecondCountryId")
                        .HasDatabaseName("ix_country_couple_year_permit_counts_second_country_id");

                    b.ToTable("country_couple_year_permit_counts", (string)null);
                });

            modelBuilder.Entity("Entities.Dictionary.Country", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));
                    NpgsqlPropertyBuilderExtensions.HasIdentityOptions(b.Property<int>("Id"), 7L, null, null, null, null, null);

                    b.Property<string>("Alpha2")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("alpha2");

                    b.Property<string>("Alpha3")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("alpha3");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<short>("Iso")
                        .HasColumnType("smallint")
                        .HasColumnName("iso");

                    b.Property<TranslationNameJson>("Name")
                        .IsRequired()
                        .HasColumnType("jsonb")
                        .HasColumnName("name");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_countries");

                    b.ToTable("countries", (string)null);
                });

            modelBuilder.Entity("Entities.Permit", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<long>("Id"));

                    b.Property<int>("CountryCoupleYearPermitCountId")
                        .HasColumnType("integer")
                        .HasColumnName("country_couple_year_permit_count_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<string>("PermitCode")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("permit_code");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.Property<bool>("Used")
                        .HasColumnType("boolean")
                        .HasColumnName("used");

                    b.HasKey("Id")
                        .HasName("pk_permits");

                    b.HasIndex("CountryCoupleYearPermitCountId")
                        .HasDatabaseName("ix_permits_country_couple_year_permit_count_id");

                    b.ToTable("permits", (string)null);
                });

            modelBuilder.Entity("Entities.TransitCountry", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("CountryCoupleYearPermitCountId")
                        .HasColumnType("integer")
                        .HasColumnName("country_couple_year_permit_count_id");

                    b.Property<int?>("CountryCoupleYearPermitCountId1")
                        .HasColumnType("integer")
                        .HasColumnName("country_couple_year_permit_count_id1");

                    b.Property<int>("CountryId")
                        .HasColumnType("integer")
                        .HasColumnName("country_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_transit_countries");

                    b.HasIndex("CountryCoupleYearPermitCountId")
                        .HasDatabaseName("ix_transit_countries_country_couple_year_permit_count_id");

                    b.HasIndex("CountryCoupleYearPermitCountId1")
                        .HasDatabaseName("ix_transit_countries_country_couple_year_permit_count_id1");

                    b.HasIndex("CountryId")
                        .HasDatabaseName("ix_transit_countries_country_id");

                    b.ToTable("transit_countries", (string)null);
                });

            modelBuilder.Entity("Entities.Transport", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("CarrierId")
                        .HasColumnType("integer")
                        .HasColumnName("carrier_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<string>("Driver")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("driver");

                    b.Property<string>("GovernmentNumber")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("government_number");

                    b.Property<string>("Model")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("model");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.HasKey("Id")
                        .HasName("pk_transports");

                    b.HasIndex("CarrierId")
                        .HasDatabaseName("ix_transports_carrier_id");

                    b.ToTable("transports", (string)null);
                });

            modelBuilder.Entity("Entities.TransportPermit", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<long>("PermitId")
                        .HasColumnType("bigint")
                        .HasColumnName("permit_id");

                    b.Property<int>("TransportId")
                        .HasColumnType("integer")
                        .HasColumnName("transport_id");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.Property<bool>("Used")
                        .HasColumnType("boolean")
                        .HasColumnName("used");

                    b.HasKey("Id")
                        .HasName("pk_transport_permits");

                    b.HasIndex("PermitId")
                        .HasDatabaseName("ix_transport_permits_permit_id");

                    b.HasIndex("TransportId")
                        .HasDatabaseName("ix_transport_permits_transport_id");

                    b.ToTable("transport_permits", (string)null);
                });

            modelBuilder.Entity("Entities.UserRegistration", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid")
                        .HasColumnName("id");

                    b.Property<bool>("Activated")
                        .HasColumnType("boolean")
                        .HasColumnName("activated");

                    b.Property<DateTime?>("ActivatedDateTime")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("activated_date_time");

                    b.Property<string>("Contacts")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("contacts");

                    b.Property<int?>("CountryId")
                        .IsRequired()
                        .HasColumnType("integer")
                        .HasColumnName("country_id");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("created_at");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("email");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("first_name");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("last_name");

                    b.Property<string>("Organization")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("organization");

                    b.Property<string>("Password")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("password");

                    b.Property<string>("Patronymic")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("patronymic");

                    b.Property<int>("Role")
                        .HasColumnType("integer")
                        .HasColumnName("role");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("updated_at");

                    b.Property<string>("Username")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)")
                        .HasColumnName("username");

                    b.HasKey("Id")
                        .HasName("pk_user_registrations");

                    b.HasIndex("CountryId")
                        .HasDatabaseName("ix_user_registrations_country_id");

                    b.ToTable("user_registrations", (string)null);
                });

            modelBuilder.Entity("Entities.AdditionalPermission", b =>
                {
                    b.HasOne("Entities.CountryCoupleYearPermitCount", "CountryCoupleYearPermitCount")
                        .WithMany()
                        .HasForeignKey("CountryCoupleYearPermitCountId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_additional_permissions_country_couple_year_permit_counts_co");

                    b.Navigation("CountryCoupleYearPermitCount");
                });

            modelBuilder.Entity("Entities.Auth.User", b =>
                {
                    b.HasOne("Entities.Dictionary.Country", "Country")
                        .WithMany()
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_users_countries_country_id");

                    b.OwnsMany("Entities.Auth.RefreshToken", "RefreshTokens", b1 =>
                        {
                            b1.Property<Guid>("Id")
                                .ValueGeneratedOnAdd()
                                .HasColumnType("uuid")
                                .HasColumnName("id");

                            b1.Property<DateTime>("CreatedAt")
                                .HasColumnType("timestamp with time zone")
                                .HasColumnName("created_at");

                            b1.Property<string>("CreatedByIp")
                                .IsRequired()
                                .HasColumnType("text")
                                .HasColumnName("created_by_ip");

                            b1.Property<DateTime>("Expires")
                                .HasColumnType("timestamp with time zone")
                                .HasColumnName("expires");

                            b1.Property<string>("ReasonRevoked")
                                .HasColumnType("text")
                                .HasColumnName("reason_revoked");

                            b1.Property<string>("ReplacedByToken")
                                .HasColumnType("text")
                                .HasColumnName("replaced_by_token");

                            b1.Property<DateTime?>("Revoked")
                                .HasColumnType("timestamp with time zone")
                                .HasColumnName("revoked");

                            b1.Property<string>("RevokedByIp")
                                .HasColumnType("text")
                                .HasColumnName("revoked_by_ip");

                            b1.Property<string>("Token")
                                .IsRequired()
                                .HasColumnType("text")
                                .HasColumnName("token");

                            b1.Property<DateTime>("UpdatedAt")
                                .HasColumnType("timestamp with time zone")
                                .HasColumnName("updated_at");

                            b1.Property<int?>("UserId")
                                .HasColumnType("integer")
                                .HasColumnName("user_id");

                            b1.HasKey("Id")
                                .HasName("pk_refresh_token");

                            b1.HasIndex("UserId")
                                .HasDatabaseName("ix_refresh_token_user_id");

                            b1.ToTable("refresh_token", (string)null);

                            b1.WithOwner()
                                .HasForeignKey("UserId")
                                .HasConstraintName("fk_refresh_token_users_user_id");
                        });

                    b.Navigation("Country");

                    b.Navigation("RefreshTokens");
                });

            modelBuilder.Entity("Entities.Auth.UserRole", b =>
                {
                    b.HasOne("Entities.Auth.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired()
                        .HasConstraintName("fk_user_roles_roles_role_id");

                    b.HasOne("Entities.Auth.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired()
                        .HasConstraintName("fk_user_roles_users_user_id");
                });

            modelBuilder.Entity("Entities.Carrier", b =>
                {
                    b.HasOne("Entities.Dictionary.Country", "Country")
                        .WithMany()
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_carriers_countries_country_id");

                    b.Navigation("Country");
                });

            modelBuilder.Entity("Entities.CarrierPermitCount", b =>
                {
                    b.HasOne("Entities.Carrier", "Carrier")
                        .WithMany()
                        .HasForeignKey("CarrierId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_carrier_permit_counts_carriers_carrier_id");

                    b.HasOne("Entities.CountryCouplePermitCount", "CountryCouplePermitCount")
                        .WithMany()
                        .HasForeignKey("CountryCouplePermitCountId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_carrier_permit_counts_country_couple_permit_counts_country_");

                    b.Navigation("Carrier");

                    b.Navigation("CountryCouplePermitCount");
                });

            modelBuilder.Entity("Entities.CountryCouplePermitCount", b =>
                {
                    b.HasOne("Entities.CountryCoupleYearPermitCount", "CountryCoupleYearPermitCount")
                        .WithMany()
                        .HasForeignKey("CountryCoupleYearPermitCountId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_country_couple_permit_counts_country_couple_year_permit_cou");

                    b.Navigation("CountryCoupleYearPermitCount");
                });

            modelBuilder.Entity("Entities.CountryCoupleYearPermitCount", b =>
                {
                    b.HasOne("Entities.Dictionary.Country", "FirstCountry")
                        .WithMany()
                        .HasForeignKey("FirstCountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_country_couple_year_permit_counts_countries_first_country_id");

                    b.HasOne("Entities.Dictionary.Country", "SecondCountry")
                        .WithMany()
                        .HasForeignKey("SecondCountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_country_couple_year_permit_counts_countries_second_country_");

                    b.Navigation("FirstCountry");

                    b.Navigation("SecondCountry");
                });

            modelBuilder.Entity("Entities.Permit", b =>
                {
                    b.HasOne("Entities.CountryCoupleYearPermitCount", "CountryCoupleYearPermitCount")
                        .WithMany()
                        .HasForeignKey("CountryCoupleYearPermitCountId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired()
                        .HasConstraintName("fk_permits_country_couple_year_permit_counts_country_couple_ye");

                    b.Navigation("CountryCoupleYearPermitCount");
                });

            modelBuilder.Entity("Entities.TransitCountry", b =>
                {
                    b.HasOne("Entities.CountryCoupleYearPermitCount", "CountryCoupleYearPermitCount")
                        .WithMany()
                        .HasForeignKey("CountryCoupleYearPermitCountId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_transit_countries_country_couple_year_permit_counts_country");

                    b.HasOne("Entities.CountryCoupleYearPermitCount", null)
                        .WithMany("TransitCountries")
                        .HasForeignKey("CountryCoupleYearPermitCountId1")
                        .HasConstraintName("fk_transit_countries_country_couple_year_permit_counts_country1");

                    b.HasOne("Entities.Dictionary.Country", "Country")
                        .WithMany()
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_transit_countries_countries_country_id");

                    b.Navigation("Country");

                    b.Navigation("CountryCoupleYearPermitCount");
                });

            modelBuilder.Entity("Entities.Transport", b =>
                {
                    b.HasOne("Entities.Carrier", "Carrier")
                        .WithMany()
                        .HasForeignKey("CarrierId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_transports_carriers_carrier_id");

                    b.Navigation("Carrier");
                });

            modelBuilder.Entity("Entities.TransportPermit", b =>
                {
                    b.HasOne("Entities.Permit", "Permit")
                        .WithMany()
                        .HasForeignKey("PermitId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_transport_permits_permits_permit_id");

                    b.HasOne("Entities.Transport", "Transport")
                        .WithMany()
                        .HasForeignKey("TransportId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_transport_permits_transports_transport_id");

                    b.Navigation("Permit");

                    b.Navigation("Transport");
                });

            modelBuilder.Entity("Entities.UserRegistration", b =>
                {
                    b.HasOne("Entities.Dictionary.Country", "Country")
                        .WithMany()
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired()
                        .HasConstraintName("fk_user_registrations_countries_country_id");

                    b.Navigation("Country");
                });

            modelBuilder.Entity("Entities.CountryCoupleYearPermitCount", b =>
                {
                    b.Navigation("TransitCountries");
                });
#pragma warning restore 612, 618
        }
    }
}
